Blocks
Update block
PUT /api/pipelines/:pipeline_uuid/blocks/:block_uuid
string
required
Human readable block name. This is used to generate the UUID, e.g.
restless dust. Names will be slugified to a safe-uuid.string
required
Type of block:
callback, chart, conditional, custom, data_exporter, data_loader, dbt, extension, global_data_product, markdown, scratchpad, sensor, transformer[string]
Data integration bookmark values as a list of strings.
string
Block color displayed by the frontend for
custom blocks. All other block types have predefined colors.object
Miscellaneous configuration settings for the block.
string
The content of block formatted as a string. Use
/n for newlines. Omitting will create an empty block.string
The destination table for a data integration pipeline.
[string]
Array of blocks downstream from the created block.
object
Used when configuring a Kubernetes executor. See the Kubernetes config page for more details
string
Used when configuring a Kubernetes executor. See the Kubernetes config page for more details
string
UUID of extensions, currently Great Expectations is the only extension supported.
string
The block language:
python, sql, r, yaml, markdown[string]
Array of strings containing the pipeline uuids for which the block is a member.
object
The configuration for block retry logic. See the pipeline runs docs for retry config examples.
string
The block tap stream ID for data integration pipelines.
[string]
An array of strings representing the uuids of upstream blocks (the blocks on which the new block depends). For example,
["a", "b"] will create a block that depends on blocks a and b.string
The unique id of the block. This is generated from
name, so it’s not necessary to populate this field.